// $Id: OopsPropertyListCoding.h,v 1.1.1.1 2000/03/02 10:39:40 malte Exp $
//
// This file is part of the OopsMailFilter Bundle for Apple's MailViewer application.
// Copyright (c) 1999-2000 Oops AB. All rights reserved.
//
// The source file window should be wide enough to fit this paragraph. When using ProjectBuilder by
// Apple, switch on the option "Indent wrapped lines" and set the indentation to 4 spaces.
//
// See end of file for revision history.
//

#import <Foundation/Foundation.h>

@protocol OopsPropertyListCoding
- (BOOL)loadFromPropertyListRepresentation:(NSDictionary *)plist;
- (NSMutableDictionary *)propertyListRepresentation;
@end

/* Revision history:
 * $Log: OopsPropertyListCoding.h,v $
 * Revision 1.1.1.1  2000/03/02 10:39:40  malte
 * Initial release
 *
 */
