/* MessageBody.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>

@class Message;

@interface MessageBody:NSObject
{
    Message *_message;
    NSData *_encoded;
    NSAttributedString *_decoded;
    NSString *_attachPath;
}

+ bodyClassForMessageEncoding:fp12;
+ bodyForMessage:fp12;
+ defaultAttachmentDirectory;
+ (void)initialize;
+ (int)lineLength;
+ (void)registerMessageClass:fp12;
+ (void)registerMessageClass:fp12 forEncoding:fp16;
+ (void)setDefaultAttachmentDirectory:fp12;
+ (void)unregisterMessageClass:fp12;
+ (void)unregisterMessageClassForEncoding:fp12;
+ (float)willingnessToDecode:fp12;
- _decodedBody;
- _encodedBody;
- (void)_setDecodedBody:fp12;
- (void)_setEncodedBody:fp12;
- attachmentDirectory;
- (unsigned long)cachedDataSize;
- (void)dealloc;
- decodeBody;
- decodedBody;
- encodeBody;
- encodedBody;
- (void)flushCachedData;
- (void)flushDecodedBodyCache;
- (void)flushEncodedBodyCache;
- message;
- (void)setAttachmentDirectory:fp12;
- (void)setDecodedBody:fp12;
- (void)setEncodedBody:fp12;
- (void)setMessage:fp12;

@end
