/* MessageFlags.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>

@interface MessageFlags:NSObject <NSCopying, NSCoding>
{
    NSMutableDictionary *_flags;
    unsigned long _flagBits;
    unsigned int _priority;
}

+ flagsForMessage:fp12;
// - copyWithZone:(struct ? *)fp12;
- copyWithZone:(NSZone *)fp12;
- (void)dealloc;
- description;
- (void)encodeWithCoder:fp12;
- init;
- initWithCoder:fp12;
- (char)isDeleted;
- (char)isEncrypted;
- (char)isRead;
- objectForKey:fp12;
- (unsigned int)priority;
- (void)setDeleted:(char)fp12;
- (void)setEncrypted:(char)fp12;
- (void)setObject:fp12 forKey:fp16;
- (void)setPriority:(unsigned int)fp12;
- (void)setRead:(char)fp12;
- (void)setRepliedTo:(char)fp12;
- (void)setUserFlags:fp12;
- userFlags;
- (char)wasRepliedTo;

@end
