/* MessageHeaders.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>

@class Message;

@interface MessageHeaders:NSObject <NSCopying>
{
    char _headersChanged;
    Message *_message;
    NSDictionary *_cachedHeaders;
    NSMutableDictionary *_allHeaders;
    NSMutableArray *_allHeadersOrder;
    NSMutableDictionary *_originalKeys;
}

+ cachedKeys;
+ headersForMessage:fp12;
// - (void)_addKey:fp12 buf:fp16 range:(struct ?)fp20 into:fp28 order:fp32;
- (void)_addKey:fp12 buf:fp16 range:(NSRange)fp20 into:fp28 order:fp32;
- _encodedHeadersIncludingFromSpace:(char)fp12;
- (void)_initTable;
// - (void)_processLine:fp12 buf:fp16 range:(struct ?)fp20 new:(char)fp28;
- (void)_processLine:fp12 buf:fp16 range:(NSRange)fp20 new:(char)fp28;
- allHeaders;
- (void)appendFromSpaceIfMissing;
- (unsigned long)cachedDataSize;
- cachedHeaders;
// - copyWithZone:(struct ? *)fp12;
- copyWithZone:(NSZone *)fp12;
- dateReceived;
- (void)dealloc;
- decodeHeadersFromData:fp12 order:(id *)fp16;
- description;
- encodedHeaders;
- encodedHeadersForDelivery;
- firstObjectForKey:fp12;
- (void)flushCachedData;
- init;
- initWithMessage:fp12;
- messageID;
- objectsForKey:fp12;
- originalKeyForKey:fp12;
- recipients;
- (void)removeObjectForKey:fp12;
- sender;
- (void)setAllHeaders:fp12 withOrder:fp16;
- (void)setCachedHeaders:fp12;
- (void)setMessage:fp12;
- (void)setObject:fp12 forKey:fp16;
- subject;

@end
