/* POP3FetchStore.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>
#import "SpoolFetchStore.h"
#import "POP3ConnectionDelegate.h"

@class Progressor;

@interface POP3FetchStore:SpoolFetchStore <POP3ConnectionDelegate>
{
    char currentlyFetchingMessage;
    char fetchingInBackground;
    char showProgressPanel;
    double currentMessageProgress;
    double currentMessageSize;
    unsigned int messagesToFetch;
    unsigned int messagesFetched;
    Progressor *progressor;
    NSMutableDictionary *messageIDsToFetch;
    NSMutableDictionary *previouslySeenMessages;
    NSMutableArray *messageNumbersToDelete;
}

- (void)backgroundFetch:fp12;
- (oneway void)backgroundFetchFailed:(bycopy id)fp12;
- (oneway void)beginningBackgroundFetch;
- (void)connection:fp12 didRetrieveMessageNumber:(unsigned int)fp16;
- (void)connection:fp12 receivedNumberOfBytes:(int)fp16;
- (void)connection:fp12 willRetrieveMessageNumber:(unsigned int)fp16 header:fp20 size:(unsigned int)fp24;
- (void)dealloc;
- fileHandleForSpoolFile;
- (oneway void)finishedBackgroundFetch;
- initWithPath:fp12 create:(char)fp16 readOnly:(char)fp20 account:fp24;
- (char)performFetch;
- (oneway void)setProgressPanelMessage:fp12;

@end
