//
// $Id: OopsMailFilterBundle.m,v 1.1.1.1 2000/03/02 10:39:38 malte Exp $
//
// This file is part of the OopsMailFilter Bundle for Apple's MailViewer application.
// Copyright (c) 1999-2000 Oops AB. All rights reserved.
//
// The source file window should be wide enough to fit this paragraph. When using ProjectBuilder by
// Apple, switch on the option "Indent wrapped lines" and set the indentation to 4 spaces.
//
// See end of file for revision history.
//

#import "OopsMailFilterBundle.h"
#import "OopsMessageRouter.h"

@implementation OopsMailFilterBundle

+ (void)initialize {
    if (self == [OopsMailFilterBundle class]) {
		NSLog(@"Loading %@. Version %@ (%@), %@", self, OopsMailFilterBundleVersion, OopsMailFilterBundleBuildVersion, OopsMailFilterBundleHumanReadableCopyright);

        [self registerBundle];
        [OopsMessageRouter class];
    }
}

@end

NSString *OopsMailFilterBundleVersion = @"2000-03-02";
NSString *OopsMailFilterBundleBuildVersion = @"1";
NSString *OopsMailFilterBundleHumanReadableCopyright = @"Copyright (c) 1999-2000 Oops AB. All rights reserved";

/* Revision history:
 * $Log: OopsMailFilterBundle.m,v $
 * Revision 1.1.1.1  2000/03/02 10:39:38  malte
 * Initial release
 *
 */
