/* BerkeleyMbox.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>
#import "MessageStore.h"

@interface BerkeleyMbox:MessageStore
{
    NSData *_mboxData;
    char _haveLock;
}

+ (void)initialize;
+ (float)willingnessToOpen:fp12;
- allHeadersForMessage:fp12;
- bodyForMessage:fp12;
- cachedHeadersForMessage:fp12;
- (char)canBeIndexed;
- (char)canCompact;
- (void)close;
- (void)dealloc;
- (void)deleteMessages:fp12;
- (void)doCompact;
- flagsForMessage:fp12;
- initWithPath:fp12 create:(char)fp16 readOnly:(char)fp20;
- (void)setFlags:fp12 havingKeys:fp16 forMessages:fp20;
- storePath;
- (char)syncAppendMessages:fp12 setUnread:(char)fp16;
- (void)undeleteMessages:fp12;
- (char)writeToFile:fp12;

@end

