/* MailAccount.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>

@interface MailAccount:NSObject
{
    NSMutableDictionary *_info;
    NSString *_path;
}

+ accountWithPath:fp12;
+ (void)addAccount:fp12;
+ mailAccounts;
+ (void)removeAccount:fp12;
+ (void)saveMailAccounts:fp12;
- accountInfo;
- (void)accountInfoDidChange;
- (char)containsMailboxes;
- createMailboxNamed:fp12 asChildOfItem:fp16;
- (void)dealloc;
- (void)deleteAccount;
- displayName;
- displayNameForItem:fp12;
- (char)doFetchNow:(char)fp12;
- errorStringWithMessage:fp12 mailbox:fp16;
- (void)forgetRememberedPassword;
- hostname;
- initWithPath:fp12;
- (char)isItemExpandable:fp12;
- itemForStore:fp12;
- itemForStorePath:fp12;
- mailboxesForItem:fp12;
- (char)openItem:fp12;
- password;
- password:(char)fp12;
- path;
- (void)postStatusChangedForItem:fp12 userInfo:fp16;
- primaryMessageStore;
- promptUserForPassword;
- relativePathForStore:fp12;
- (char)removeMailbox:fp12;
- (void)saveAccountInfo;
- (void)setAccountInfo:fp12;
- (void)setDisplayName:fp12;
- (void)setHostname:fp12;
- (void)setPassword:fp12;
- (void)setPath:fp12;
- (void)setShouldAutoFetch:(char)fp12;
- (void)setUsername:fp12;
- (char)shouldAutoFetch;
- storeForItem:fp12;
- storeForItemPath:fp12;
- (char)transferMessages:fp12 toMailbox:fp16;
- userInfoForItem:fp12;
- userInfoForItemPath:fp12;
- username;

@end
