/* Message.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>

@class MessageStore;
@class MessageHeaders;
@class MessageFlags;
@class MessageBody;

@interface Message:NSObject
{
    MessageStore *_store;
    MessageHeaders *_headers;
    MessageFlags *_flags;
    MessageBody *_body;
}

+ _filenameFromSubject:fp12 inDirectory:fp16 ofType:fp20;
+ emptyMessageWithBodyClass:(Class)fp12;
+ frameworkVersion;
+ (void)initialize;
+ makeUniqueAttachmentNamed:fp12 inDirectory:fp16;
+ makeUniqueAttachmentNamed:fp12 withExtension:fp16 inDirectory:fp20;
+ messageInStore:fp12;
+ messageWithData:fp12;
+ (void)setUserAgent:fp12;
+ userAgent;
+ verboseVersion;
- (unsigned long)cachedDataSize;
// - copyWithZone:(struct ? *)fp12;
- copyWithZone:(NSZone *)fp12;
- (void)dealloc;
- description;
- (void)flushCachedData;
- headers;
- messageBody;
- messageData;
- messageFlags;
- (unsigned int)messageSize;
- messageStore;
- messageTypeImageName;
- (void)setHeaders:fp12;
- (void)setMessageBody:fp12;
- (void)setMessageFlags:fp12;
- (void)setMessageStore:fp12;

@end
