/* NeXTMbox.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>
#import "MessageStore.h"

@class TableOfContents;

@interface NeXTMbox:MessageStore
{
    id _mboxData;
    TableOfContents *_toc;
    char _haveLock;
    int _numberOfAppends;
    char _dontOpen;
    NSLock *_lock;
}

+ (void)initialize;
+ (float)willingnessToOpen:fp12;
- _TOCMessageForMessage:fp12;
- (char)_appendMessage:fp12 toFile:fp16 andTableOfContents:fp20 setUnread:(char)fp24;
- _convertMessage:fp12;
- (void)_createSpoolCopyFromMessages:fp12;
- (void)_deleteAttachments:fp12;
- (void)_finishedFetchingInThread:fp12;
- _mboxData;
- (void)_newDoCompact;
- (void)_oldDoCompact;
- (char)_rebuildTableOfContents;
- _resetAllMessages;
- (void)_unpackSpoolCopy:fp12;
- allHeadersForMessage:fp12;
- (void)asyncAppendMessages:fp12 setUnread:(char)fp16;
- bodyForMessage:fp12;
- cachedHeadersForMessage:fp12;
- (char)canCompact;
- (void)close;
- (void)dealloc;
- (void)deleteMessages:fp12;
- (void)didOpen;
- displayName;
- (void)doCompact;
- (void)fetchErrorRecovery;
- (void)finalizeAsyncAppend;
- flagsForMessage:fp12;
- initWithPath:fp12 create:(char)fp16 readOnly:(char)fp20;
- messageForMessageID:fp12;
- (void)rebuildTableOfContents;
- (void)safeAppendMessages:fp12;
- (void)setFlags:fp12 havingKeys:fp16 forMessages:fp20;
- storePath;
- (char)syncAppendMessages:fp12 setUnread:(char)fp16;
- (void)undeleteMessages:fp12;

@end
