/* SpoolFetchStore.h created by malte on Sat 19-Feb-2000 */

#import <Foundation/Foundation.h>
#import "FetchStore.h"

@class BerkeleyMbox;

@interface SpoolFetchStore:FetchStore
{
    BerkeleyMbox *_mbox;
    char _postNewMail;
    char _busy;
    char _didLockFile;
    unsigned int _countBeforeRouting;
}

+ globalFetcher;
+ (float)willingnessToOpen:fp12;
- allHeadersForMessage:fp12;
- allMessages;
- (char)approveTermination;
- bodyForMessage:fp12;
- cachedHeadersForMessage:fp12;
- (char)canBeIndexed;
- (char)canCompact;
- (unsigned int)count;
- (void)dealloc;
- (void)deleteMessages:fp12;
- (void)deletedCount:(unsigned int *)fp12 andSize:(unsigned int *)fp16;
- (void)doCompact;
- (char)doFetch;
- flagsForMessage:fp12;
- (char)includeDeleted;
- (unsigned int)indexOfMessage:fp12;
- initWithPath:fp12 create:(char)fp16 readOnly:(char)fp20;
- (char)isBusy;
- (char)performFetch;
- (void)routeMessages;
- (void)routingFinished;
- (void)setFlags:fp12 havingKeys:fp16 forMessages:fp20;
- (void)setIncludeDeleted:(char)fp12;
- (void)setSortOrder:fp12;
- sortOrder;
- (unsigned int)totalCount;
- (void)totalCount:(unsigned int *)fp12 andSize:(unsigned int *)fp16;
- undeleteLastDeletedMessages;
- (void)undeleteMessages:fp12;
- (void)unreadCount:(unsigned int *)fp12 andSize:(unsigned int *)fp16;

@end
