// $Id: OopsMessageRouter.h,v 1.1.1.1 2000/03/02 10:39:38 malte Exp $
//
// This file is part of the OopsMailFilter Bundle for Apple's MailViewer application.
// Copyright (c) 1999-2000 Oops AB. All rights reserved.
//
// The source file window should be wide enough to fit this paragraph. When using ProjectBuilder by
// Apple, switch on the option "Indent wrapped lines" and set the indentation to 4 spaces.
//
// See end of file for revision history.
//

#import <Foundation/Foundation.h>
#import "MessageRouter.h"

@class MessageStore;
@class OopsMessageFilter;

@interface OopsMessageRouter : MessageRouter {
}

+ (void)initialize;
+ (float)willingnessToRouteForStore:fp12;

- (MessageStore *)storeForMessageFilter:(OopsMessageFilter *)filter;

- (MessageStore *)destinationStoreForMessage:fp12;
- (BOOL)routeMessagesSeparately;

@end

/* Revision history:
 * $Log: OopsMessageRouter.h,v $
 * Revision 1.1.1.1  2000/03/02 10:39:38  malte
 * Initial release
 *
 */
